com.genesyslab.wfm8.API.service.config810

## Class CfgSite

- java.lang.Object
- - com.genesyslab.wfm8.API.service.config810.CfgSite

- All Implemented Interfaces:
    java.io.Serializable

      public class CfgSite
      extends java.lang.Object
      implements java.io.Serializable

  Site information
  See Also:
    Serialized Form

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `gswName` Switch Name
    `protected int` | `gswSwitchId` Switch ID
    `protected int` | `gswTenantId` Agent's tenant ID
    `private static long` | `serialVersionUID`
    `protected long` | `timestamp` A timestamp value -- marks the point in time when Object information was obtained
    `protected int` | `wmAlarmThreshold` Alarm Threshold (in minutes)
    `protected int` | `wmAspSwitchId` The ID of a Switch used for statistics
    `protected int` | `wmBUId` Business Unit ID--identifies `CfgBU` object to which the Site belongs.
    `protected int` | `wmDAStatId` The Stat Server application ID
    `protected int` | `wmDASynchroId` The Application ID of the Data Aggregator used in synchronization
    `protected boolean` | `wmEnableAgentCarpools` Enables agent initiated carpools
    `protected int` | `wmMaxSeats` Maximum Number of Seats
    `protected int` | `wmMinTimeBetweenDays` Minimum duration between the end of the day and start of next working day
    `protected java.lang.String` | `wmName` Site Name
    `protected double` | `wmSchPlanningPeriodStartDate` Planning Period Start Date (`OleDateTime`)
    `protected int` | `wmSchPlanningPeriodType` Schedule Planning Period Type (`ECfgPlanningPeriodType`)
    `protected int` | `wmSiteId` Site ID
    `protected boolean` | `wmSynchBreaks` Tells whether beaks should be synchronized when using team constraints or not
    `protected boolean` | `wmSynchDaysOff` Tells whether day offs should be synchronized when using team constraints or not
    `protected boolean` | `wmSynchDuration` Tells whether shift paid time should be synchronized when using team constraints or not
    `protected boolean` | `wmSynchMeals` Tells whether meals should be synchronized when using team constraints or not
    `protected boolean` | `wmSynchStartTime` Tells whether shift start times should be synchronized when using team constraints or not
    `protected int` | `wmTeamWorkWindow` Maximum start time difference for members of the same team (in minutes)
    `protected java.lang.String` | `wmTenantName` Tenant Name
    `protected java.lang.String` | `wmTenantPassword` Tenant Password
    `protected java.lang.String` | `wmTimeProfile` Tenant Profile
    `protected int` | `wmTimezoneId` Site Time Zone ID--identifies `CfgTimezone` object
    `protected boolean` | `wmUnassignAgents` Synchronize "unassigned" agents (true/false)
    `protected int` | `wmWFMServerId` The Application ID of the associated WFM Server

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CfgSite()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object that)`
    `java.lang.String` | `getGswName()` Gets the value of the gswName property.
    `int` | `getGswSwitchId()` Gets the value of the gswSwitchId property.
    `int` | `getGswTenantId()` Gets the value of the gswTenantId property.
    `long` | `getTimestamp()` Gets the value of the timestamp property.
    `int` | `getWmAlarmThreshold()` Gets the value of the wmAlarmThreshold property.
    `int` | `getWmAspSwitchId()` Gets the value of the wmAspSwitchId property.
    `int` | `getWmBUId()` Gets the value of the wmBUId property.
    `int` | `getWmDAStatId()` Gets the value of the wmDAStatId property.
    `int` | `getWmDASynchroId()` Gets the value of the wmDASynchroId property.
    `int` | `getWmMaxSeats()` Gets the value of the wmMaxSeats property.
    `int` | `getWmMinTimeBetweenDays()` Gets the value of the wmMinTimeBetweenDays property.
    `java.lang.String` | `getWmName()` Gets the value of the wmName property.
    `double` | `getWmSchPlanningPeriodStartDate()` Gets the value of the wmSchPlanningPeriodStartDate property.
    `int` | `getWmSchPlanningPeriodType()` Gets the value of the wmSchPlanningPeriodType property.
    `int` | `getWmSiteId()` Gets the value of the wmSiteId property.
    `int` | `getWmTeamWorkWindow()` Gets the value of the wmTeamWorkWindow property.
    `java.lang.String` | `getWmTenantName()` Gets the value of the wmTenantName property.
    `java.lang.String` | `getWmTenantPassword()` Gets the value of the wmTenantPassword property.
    `java.lang.String` | `getWmTimeProfile()` Gets the value of the wmTimeProfile property.
    `int` | `getWmTimezoneId()` Gets the value of the wmTimezoneId property.
    `int` | `getWmWFMServerId()` Gets the value of the wmWFMServerId property.
    `int` | `hashCode()`
    `boolean` | `isWmEnableAgentCarpools()` Gets the value of the wmEnableAgentCarpools property.
    `boolean` | `isWmSynchBreaks()` Gets the value of the wmSynchBreaks property.
    `boolean` | `isWmSynchDaysOff()` Gets the value of the wmSynchDaysOff property.
    `boolean` | `isWmSynchDuration()` Gets the value of the wmSynchDuration property.
    `boolean` | `isWmSynchMeals()` Gets the value of the wmSynchMeals property.
    `boolean` | `isWmSynchStartTime()` Gets the value of the wmSynchStartTime property.
    `boolean` | `isWmUnassignAgents()` Gets the value of the wmUnassignAgents property.
    `void` | `setGswName(java.lang.String value)` Sets the value of the gswName property.
    `void` | `setGswSwitchId(int value)` Sets the value of the gswSwitchId property.
    `void` | `setGswTenantId(int value)` Sets the value of the gswTenantId property.
    `void` | `setTimestamp(long value)` Sets the value of the timestamp property.
    `void` | `setWmAlarmThreshold(int value)` Sets the value of the wmAlarmThreshold property.
    `void` | `setWmAspSwitchId(int value)` Sets the value of the wmAspSwitchId property.
    `void` | `setWmBUId(int value)` Sets the value of the wmBUId property.
    `void` | `setWmDAStatId(int value)` Sets the value of the wmDAStatId property.
    `void` | `setWmDASynchroId(int value)` Sets the value of the wmDASynchroId property.
    `void` | `setWmEnableAgentCarpools(boolean value)` Sets the value of the wmEnableAgentCarpools property.
    `void` | `setWmMaxSeats(int value)` Sets the value of the wmMaxSeats property.
    `void` | `setWmMinTimeBetweenDays(int value)` Sets the value of the wmMinTimeBetweenDays property.
    `void` | `setWmName(java.lang.String value)` Sets the value of the wmName property.
    `void` | `setWmSchPlanningPeriodStartDate(double value)` Sets the value of the wmSchPlanningPeriodStartDate property.
    `void` | `setWmSchPlanningPeriodType(int value)` Sets the value of the wmSchPlanningPeriodType property.
    `void` | `setWmSiteId(int value)` Sets the value of the wmSiteId property.
    `void` | `setWmSynchBreaks(boolean value)` Sets the value of the wmSynchBreaks property.
    `void` | `setWmSynchDaysOff(boolean value)` Sets the value of the wmSynchDaysOff property.
    `void` | `setWmSynchDuration(boolean value)` Sets the value of the wmSynchDuration property.
    `void` | `setWmSynchMeals(boolean value)` Sets the value of the wmSynchMeals property.
    `void` | `setWmSynchStartTime(boolean value)` Sets the value of the wmSynchStartTime property.
    `void` | `setWmTeamWorkWindow(int value)` Sets the value of the wmTeamWorkWindow property.
    `void` | `setWmTenantName(java.lang.String value)` Sets the value of the wmTenantName property.
    `void` | `setWmTenantPassword(java.lang.String value)` Sets the value of the wmTenantPassword property.
    `void` | `setWmTimeProfile(java.lang.String value)` Sets the value of the wmTimeProfile property.
    `void` | `setWmTimezoneId(int value)` Sets the value of the wmTimezoneId property.
    `void` | `setWmUnassignAgents(boolean value)` Sets the value of the wmUnassignAgents property.
    `void` | `setWmWFMServerId(int value)` Sets the value of the wmWFMServerId property.
    `java.lang.String` | `toString()`
    `CfgSite` | `withGswName(java.lang.String value)`
    `CfgSite` | `withGswSwitchId(int value)`
    `CfgSite` | `withGswTenantId(int value)`
    `CfgSite` | `withTimestamp(long value)`
    `CfgSite` | `withWmAlarmThreshold(int value)`
    `CfgSite` | `withWmAspSwitchId(int value)`
    `CfgSite` | `withWmBUId(int value)`
    `CfgSite` | `withWmDAStatId(int value)`
    `CfgSite` | `withWmDASynchroId(int value)`
    `CfgSite` | `withWmEnableAgentCarpools(boolean value)`
    `CfgSite` | `withWmMaxSeats(int value)`
    `CfgSite` | `withWmMinTimeBetweenDays(int value)`
    `CfgSite` | `withWmName(java.lang.String value)`
    `CfgSite` | `withWmSchPlanningPeriodStartDate(double value)`
    `CfgSite` | `withWmSchPlanningPeriodType(int value)`
    `CfgSite` | `withWmSiteId(int value)`
    `CfgSite` | `withWmSynchBreaks(boolean value)`
    `CfgSite` | `withWmSynchDaysOff(boolean value)`
    `CfgSite` | `withWmSynchDuration(boolean value)`
    `CfgSite` | `withWmSynchMeals(boolean value)`
    `CfgSite` | `withWmSynchStartTime(boolean value)`
    `CfgSite` | `withWmTeamWorkWindow(int value)`
    `CfgSite` | `withWmTenantName(java.lang.String value)`
    `CfgSite` | `withWmTenantPassword(java.lang.String value)`
    `CfgSite` | `withWmTimeProfile(java.lang.String value)`
    `CfgSite` | `withWmTimezoneId(int value)`
    `CfgSite` | `withWmUnassignAgents(boolean value)`
    `CfgSite` | `withWmWFMServerId(int value)`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### serialVersionUID

          private static final long serialVersionUID

      See Also:
        Constant Field Values

    - #### wmSiteId

          protected int wmSiteId

      Site ID

    - #### wmBUId

          protected int wmBUId

      Business Unit ID--identifies `CfgBU` object to which the Site belongs. A value of Zero means the Site is not under any Business Unit.

    - #### wmTimezoneId

          protected int wmTimezoneId

      Site Time Zone ID--identifies `CfgTimezone` object

    - #### gswSwitchId

          protected int gswSwitchId

      Switch ID

    - #### gswName

          protected java.lang.String gswName

      Switch Name

    - #### wmName

          protected java.lang.String wmName

      Site Name

    - #### wmTeamWorkWindow

          protected int wmTeamWorkWindow

      Maximum start time difference for members of the same team (in minutes)

    - #### wmMinTimeBetweenDays

          protected int wmMinTimeBetweenDays

      Minimum duration between the end of the day and start of next working day

    - #### wmMaxSeats

          protected int wmMaxSeats

      Maximum Number of Seats

    - #### wmTenantName

          protected java.lang.String wmTenantName

      Tenant Name

    - #### wmTenantPassword

          protected java.lang.String wmTenantPassword

      Tenant Password

    - #### wmTimeProfile

          protected java.lang.String wmTimeProfile

      Tenant Profile

    - #### wmAspSwitchId

          protected int wmAspSwitchId

      The ID of a Switch used for statistics

    - #### wmSchPlanningPeriodType

          protected int wmSchPlanningPeriodType

      Schedule Planning Period Type (`ECfgPlanningPeriodType`)

    - #### wmSchPlanningPeriodStartDate

          protected double wmSchPlanningPeriodStartDate

      Planning Period Start Date (`OleDateTime`)

    - #### wmAlarmThreshold

          protected int wmAlarmThreshold

      Alarm Threshold (in minutes)

    - #### wmDAStatId

          protected int wmDAStatId

      The Stat Server application ID

    - #### wmDASynchroId

          protected int wmDASynchroId

      The Application ID of the Data Aggregator used in synchronization

    - #### wmWFMServerId

          protected int wmWFMServerId

      The Application ID of the associated WFM Server

    - #### wmUnassignAgents

          protected boolean wmUnassignAgents

      Synchronize "unassigned" agents (true/false)

    - #### gswTenantId

          protected int gswTenantId

      Agent's tenant ID

    - #### wmSynchDaysOff

          protected boolean wmSynchDaysOff

      Tells whether day offs should be synchronized when using team constraints or not

    - #### wmSynchStartTime

          protected boolean wmSynchStartTime

      Tells whether shift start times should be synchronized when using team constraints or not

    - #### wmSynchDuration

          protected boolean wmSynchDuration

      Tells whether shift paid time should be synchronized when using team constraints or not

    - #### wmSynchBreaks

          protected boolean wmSynchBreaks

      Tells whether beaks should be synchronized when using team constraints or not

    - #### wmSynchMeals

          protected boolean wmSynchMeals

      Tells whether meals should be synchronized when using team constraints or not

    - #### wmEnableAgentCarpools

          protected boolean wmEnableAgentCarpools

      Enables agent initiated carpools

    - #### timestamp

          protected long timestamp

      A timestamp value -- marks the point in time when Object information was obtained

  - ### Constructor Detail

    - #### CfgSite

          public CfgSite()

  - ### Method Detail

    - #### getWmSiteId

          public int getWmSiteId()

      Gets the value of the wmSiteId property.

    - #### setWmSiteId

          public void setWmSiteId(int value)

      Sets the value of the wmSiteId property.

    - #### getWmBUId

          public int getWmBUId()

      Gets the value of the wmBUId property.

    - #### setWmBUId

          public void setWmBUId(int value)

      Sets the value of the wmBUId property.

    - #### getWmTimezoneId

          public int getWmTimezoneId()

      Gets the value of the wmTimezoneId property.

    - #### setWmTimezoneId

          public void setWmTimezoneId(int value)

      Sets the value of the wmTimezoneId property.

    - #### getGswSwitchId

          public int getGswSwitchId()

      Gets the value of the gswSwitchId property.

    - #### setGswSwitchId

          public void setGswSwitchId(int value)

      Sets the value of the gswSwitchId property.

    - #### getGswName

          public java.lang.String getGswName()

      Gets the value of the gswName property.
      Returns:
        possible object is `String`

    - #### setGswName

          public void setGswName(java.lang.String value)

      Sets the value of the gswName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmName

          public java.lang.String getWmName()

      Gets the value of the wmName property.
      Returns:
        possible object is `String`

    - #### setWmName

          public void setWmName(java.lang.String value)

      Sets the value of the wmName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmTeamWorkWindow

          public int getWmTeamWorkWindow()

      Gets the value of the wmTeamWorkWindow property.

    - #### setWmTeamWorkWindow

          public void setWmTeamWorkWindow(int value)

      Sets the value of the wmTeamWorkWindow property.

    - #### getWmMinTimeBetweenDays

          public int getWmMinTimeBetweenDays()

      Gets the value of the wmMinTimeBetweenDays property.

    - #### setWmMinTimeBetweenDays

          public void setWmMinTimeBetweenDays(int value)

      Sets the value of the wmMinTimeBetweenDays property.

    - #### getWmMaxSeats

          public int getWmMaxSeats()

      Gets the value of the wmMaxSeats property.

    - #### setWmMaxSeats

          public void setWmMaxSeats(int value)

      Sets the value of the wmMaxSeats property.

    - #### getWmTenantName

          public java.lang.String getWmTenantName()

      Gets the value of the wmTenantName property.
      Returns:
        possible object is `String`

    - #### setWmTenantName

          public void setWmTenantName(java.lang.String value)

      Sets the value of the wmTenantName property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmTenantPassword

          public java.lang.String getWmTenantPassword()

      Gets the value of the wmTenantPassword property.
      Returns:
        possible object is `String`

    - #### setWmTenantPassword

          public void setWmTenantPassword(java.lang.String value)

      Sets the value of the wmTenantPassword property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmTimeProfile

          public java.lang.String getWmTimeProfile()

      Gets the value of the wmTimeProfile property.
      Returns:
        possible object is `String`

    - #### setWmTimeProfile

          public void setWmTimeProfile(java.lang.String value)

      Sets the value of the wmTimeProfile property.
      Parameters:
        `value` - allowed object is `String`

    - #### getWmAspSwitchId

          public int getWmAspSwitchId()

      Gets the value of the wmAspSwitchId property.

    - #### setWmAspSwitchId

          public void setWmAspSwitchId(int value)

      Sets the value of the wmAspSwitchId property.

    - #### getWmSchPlanningPeriodType

          public int getWmSchPlanningPeriodType()

      Gets the value of the wmSchPlanningPeriodType property.

    - #### setWmSchPlanningPeriodType

          public void setWmSchPlanningPeriodType(int value)

      Sets the value of the wmSchPlanningPeriodType property.

    - #### getWmSchPlanningPeriodStartDate

          public double getWmSchPlanningPeriodStartDate()

      Gets the value of the wmSchPlanningPeriodStartDate property.

    - #### setWmSchPlanningPeriodStartDate

          public void setWmSchPlanningPeriodStartDate(double value)

      Sets the value of the wmSchPlanningPeriodStartDate property.

    - #### getWmAlarmThreshold

          public int getWmAlarmThreshold()

      Gets the value of the wmAlarmThreshold property.

    - #### setWmAlarmThreshold

          public void setWmAlarmThreshold(int value)

      Sets the value of the wmAlarmThreshold property.

    - #### getWmDAStatId

          public int getWmDAStatId()

      Gets the value of the wmDAStatId property.

    - #### setWmDAStatId

          public void setWmDAStatId(int value)

      Sets the value of the wmDAStatId property.

    - #### getWmDASynchroId

          public int getWmDASynchroId()

      Gets the value of the wmDASynchroId property.

    - #### setWmDASynchroId

          public void setWmDASynchroId(int value)

      Sets the value of the wmDASynchroId property.

    - #### getWmWFMServerId

          public int getWmWFMServerId()

      Gets the value of the wmWFMServerId property.

    - #### setWmWFMServerId

          public void setWmWFMServerId(int value)

      Sets the value of the wmWFMServerId property.

    - #### isWmUnassignAgents

          public boolean isWmUnassignAgents()

      Gets the value of the wmUnassignAgents property.

    - #### setWmUnassignAgents

          public void setWmUnassignAgents(boolean value)

      Sets the value of the wmUnassignAgents property.

    - #### getGswTenantId

          public int getGswTenantId()

      Gets the value of the gswTenantId property.

    - #### setGswTenantId

          public void setGswTenantId(int value)

      Sets the value of the gswTenantId property.

    - #### isWmSynchDaysOff

          public boolean isWmSynchDaysOff()

      Gets the value of the wmSynchDaysOff property.

    - #### setWmSynchDaysOff

          public void setWmSynchDaysOff(boolean value)

      Sets the value of the wmSynchDaysOff property.

    - #### isWmSynchStartTime

          public boolean isWmSynchStartTime()

      Gets the value of the wmSynchStartTime property.

    - #### setWmSynchStartTime

          public void setWmSynchStartTime(boolean value)

      Sets the value of the wmSynchStartTime property.

    - #### isWmSynchDuration

          public boolean isWmSynchDuration()

      Gets the value of the wmSynchDuration property.

    - #### setWmSynchDuration

          public void setWmSynchDuration(boolean value)

      Sets the value of the wmSynchDuration property.

    - #### isWmSynchBreaks

          public boolean isWmSynchBreaks()

      Gets the value of the wmSynchBreaks property.

    - #### setWmSynchBreaks

          public void setWmSynchBreaks(boolean value)

      Sets the value of the wmSynchBreaks property.

    - #### isWmSynchMeals

          public boolean isWmSynchMeals()

      Gets the value of the wmSynchMeals property.

    - #### setWmSynchMeals

          public void setWmSynchMeals(boolean value)

      Sets the value of the wmSynchMeals property.

    - #### isWmEnableAgentCarpools

          public boolean isWmEnableAgentCarpools()

      Gets the value of the wmEnableAgentCarpools property.

    - #### setWmEnableAgentCarpools

          public void setWmEnableAgentCarpools(boolean value)

      Sets the value of the wmEnableAgentCarpools property.

    - #### getTimestamp

          public long getTimestamp()

      Gets the value of the timestamp property.

    - #### setTimestamp

          public void setTimestamp(long value)

      Sets the value of the timestamp property.

    - #### withWmSiteId

          public CfgSite withWmSiteId(int value)

    - #### withWmBUId

          public CfgSite withWmBUId(int value)

    - #### withWmTimezoneId

          public CfgSite withWmTimezoneId(int value)

    - #### withGswSwitchId

          public CfgSite withGswSwitchId(int value)

    - #### withGswName

          public CfgSite withGswName(java.lang.String value)

    - #### withWmName

          public CfgSite withWmName(java.lang.String value)

    - #### withWmTeamWorkWindow

          public CfgSite withWmTeamWorkWindow(int value)

    - #### withWmMinTimeBetweenDays

          public CfgSite withWmMinTimeBetweenDays(int value)

    - #### withWmMaxSeats

          public CfgSite withWmMaxSeats(int value)

    - #### withWmTenantName

          public CfgSite withWmTenantName(java.lang.String value)

    - #### withWmTenantPassword

          public CfgSite withWmTenantPassword(java.lang.String value)

    - #### withWmTimeProfile

          public CfgSite withWmTimeProfile(java.lang.String value)

    - #### withWmAspSwitchId

          public CfgSite withWmAspSwitchId(int value)

    - #### withWmSchPlanningPeriodType

          public CfgSite withWmSchPlanningPeriodType(int value)

    - #### withWmSchPlanningPeriodStartDate

          public CfgSite withWmSchPlanningPeriodStartDate(double value)

    - #### withWmAlarmThreshold

          public CfgSite withWmAlarmThreshold(int value)

    - #### withWmDAStatId

          public CfgSite withWmDAStatId(int value)

    - #### withWmDASynchroId

          public CfgSite withWmDASynchroId(int value)

    - #### withWmWFMServerId

          public CfgSite withWmWFMServerId(int value)

    - #### withWmUnassignAgents

          public CfgSite withWmUnassignAgents(boolean value)

    - #### withGswTenantId

          public CfgSite withGswTenantId(int value)

    - #### withWmSynchDaysOff

          public CfgSite withWmSynchDaysOff(boolean value)

    - #### withWmSynchStartTime

          public CfgSite withWmSynchStartTime(boolean value)

    - #### withWmSynchDuration

          public CfgSite withWmSynchDuration(boolean value)

    - #### withWmSynchBreaks

          public CfgSite withWmSynchBreaks(boolean value)

    - #### withWmSynchMeals

          public CfgSite withWmSynchMeals(boolean value)

    - #### withWmEnableAgentCarpools

          public CfgSite withWmEnableAgentCarpools(boolean value)

    - #### withTimestamp

          public CfgSite withTimestamp(long value)

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object that)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

Copyright © 2005-2016 Genesys Telecommunications Labs, Inc. All Rights Reserved.